Attribute VB_Name = "Module3"
Public Function Enumerar_Drivers(ByRef frm As menu) As Long
'
' Enumera los drivers y los aade a la lista de herramientas
' * menu.  This function is only called once at startup.
' Devuelve 0 si no encuentra drivers
'
Const Num_Max_Drivers As Long = 9
Const Long_Max_String As Long = 128
Dim numDrivers As Long
'Dim driverStrings(0 To Num_Max_Drivers - 1) As String
'Dim Index As Long
Dim Device As String
Dim Version As String
Dim menu As VB.menu
 
Device = String$(Long_Max_String, 0)
Version = String$(Long_Max_String, 0)
numDrivers = 0
For index = 0 To (Num_Max_Drivers - 1) Step 1
    If 0 <> capGetDriverDescription(index, _
                                    Device, _
                                    Long_Max_String, _
                                    Version, _
                                    Long_Max_String) _
                                                            Then
      
        If index > 0 Then
            Load frm.mnuDriver(index)
        End If
        Set menu = frm.mnuDriver(index) 'get an object pointer to the new menu
        'Concatenate the device name and version strings to the new menu item
        menu.Caption = Left$(Device, InStr(Device, vbNullChar) - 1)
        menu.Caption = menu.Caption & " "
        menu.Caption = menu.Caption & Left$(Version, InStr(Version, vbNullChar) - 1)
        menu.Enabled = True
        numDrivers = numDrivers + 1
    End If

Next
VBEnumCapDrivers = numDrivers
End Function

